HDF5 Reference Manual H5 H5A H5D H5E H5F H5G H5P H5R H5S H5T H5Z Tools

# H5R: Ragged Array Interface

## Ragged Array API Functions

The H5R Interface is strictly experimental at this time; the interface may change dramatically or support for ragged arrays may be unavailable in future in releases. As a result, future releases may be unable to retrieve data stored with this interface. Use these functions at your own risk! Do not create any archives using this interface!

These functions enable the user to store and retrieve data in ragged arrays.

- H5Rcreate
- H5Ropen
- H5Rclose

- H5Rwrite
- H5Rread

Name: H5Rcreate
Signature:
  `H5Rcreate`( `` , `` , `` )
Purpose:
Description:
  `H5Rcreate`
Parameters:

``
``
``

Returns:
  Returns SUCCEED (0) if successful; otherwise FAIL (-1).

Name: H5Ropen
Signature:
  `H5Ropen`( `` , `` , `` )
Purpose:
Description:
  `H5Ropen`
Parameters:

``
``
``

Returns:
  Returns SUCCEED (0) if successful; otherwise FAIL (-1).

Name: H5Rclose
Signature:
  `H5Rclose`( `` , `` , `` )
Purpose:
Description:
  `H5Rclose`
Parameters:

``
``
``

Returns:
  Returns SUCCEED (0) if successful; otherwise FAIL (-1).

Name: H5Rwrite
Signature:
  `H5Rwrite`( `` , `` , `` )
Purpose:
Description:
  `H5Rwrite`

  Datatype conversion takes place at the time of a read or write and is automatic. See the Data Conversion section of The Data Type Interface (H5T) in the HDF5 User's Guide for a discussion of data conversion, including the range of conversions currently supported by the HDF5 libraries.

Parameters:

``
``
``

Returns:
  Returns SUCCEED (0) if successful; otherwise FAIL (-1).

Name: H5Rread
Signature:
  `H5Rread`( `` , `` , `` )
Purpose:
Description:
  `H5Rread`

  Datatype conversion takes place at the time of a read or write and is automatic. See the Data Conversion section of The Data Type Interface (H5T) in the HDF5 User's Guide for a discussion of data conversion, including the range of conversions currently supported by the HDF5 libraries.

Parameters:

``
``
``

Returns:
  Returns SUCCEED (0) if successful; otherwise FAIL (-1).

HDF5 Reference Manual H5 H5A H5D H5E H5F H5G H5P H5R H5S H5T H5Z Tools

HDF Help Desk
Last modified: 1 September 1998